Update plan
Update a plan's name, description, visibility, or metadata.
Update a plan's name, description, visibility, or metadata.
Authorization
ApiKeyAuth x-api-key<token>
In: header
Path Parameters
id*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
name?string
description?string|null
metadata?
isPublic?boolean
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/plans/string/manage" \ -H "Content-Type: application/json" \ -d '{}'{ "success": true, "data": { "id": "string", "name": "string", "code": "string", "description": "string", "consumptionModel": "metered", "isPublic": true, "isDefault": true, "isFree": true, "blockOnExhaustion": true, "sortOrder": -9007199254740991, "planGroupId": "string", "metadata": { "property1": null, "property2": null }, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "features": [ { "code": "string", "name": "string", "type": "boolean", "unitName": "string", "enabled": true, "includedAmount": -9007199254740991, "unlimited": true, "overage": { "enabled": true, "model": "per_unit", "unitPrice": -9007199254740991 }, "regionalPrices": [ { "currency": "string", "overageUnitPrice": -9007199254740991, "autoSynced": true } ] } ], "prices": [ { "billingInterval": "weekly", "price": -9007199254740991, "isDefault": true, "trialDays": -9007199254740991, "includedBalance": -9007199254740991, "includedCredits": -9007199254740991, "introOffer": { "enabled": true, "discountType": "percentage", "discountValue": -9007199254740991, "durationCycles": -9007199254740991 }, "regionalPrices": [ { "currency": "string", "price": -9007199254740991, "includedBalance": -9007199254740991, "autoSynced": true } ] } ], "exchangeRates": [ { "currency": "string", "exchangeRate": 0 } ], "object": "plan", "livemode": true }}{ "success": false, "error": { "type": "string", "code": "string", "message": "string", "param": "string", "details": null, "doc_url": "string" }}{ "success": false, "error": { "type": "string", "code": "string", "message": "string", "param": "string", "details": null, "doc_url": "string" }}{ "success": false, "error": { "type": "string", "code": "string", "message": "string", "param": "string", "details": null, "doc_url": "string" }}{ "success": false, "error": { "type": "string", "code": "string", "message": "string", "param": "string", "details": null, "doc_url": "string" }}{ "success": false, "error": { "type": "string", "code": "string", "message": "string", "param": "string", "details": null, "doc_url": "string" }}